Name: easinstaller
Version: 0.5
Release: alt3
Summary: GUI tool for configuring and building GNU-style source packages.
License: GPL
Group: System/Configuration/Other
Url: http://easinstaller.sourceforge.net/
Source: %name-%version.tar.gz 
Source1: %name
Source2: icons-%name.tar.bz2
Patch1: easinstaller.patch

Requires: ruby, fxruby, make, expect

%description
Easinstaller is a little GUI tool for Unix beginners who need to compile a 
program or a library from source, but don't know how to do it. 
Easinstaller allows the user to open a source package, configure it appropriately, 
compile and install, all without the command line. It also keeps track of all 
packages that were opened, remembers their last configuration, and allows to 
load configuration of one package to another.

In other words, Easinstaller serves as a GUI substitution for the well-known 
./configure && make && make install commands, allowing the user to set the 
needed configuration parameters from within the GUI.

%prep
%setup -q

%patch1 -p1

%install
%__mkdir_p %buildroot%_datadir/%name
%__cp -r app_toolkit core icons resources ui easinstaller %buildroot%_datadir/%name

%__mkdir_p %buildroot%_bindir

echo '#!/bin/sh
PWD=`pwd`
cd %_datadir/%name
./easinstaller
cd $PWD' > %buildroot%_bindir/easinstaller
chmod +x %buildroot%_bindir/easinstaller

%__mkdir_p %buildroot%_menudir
%__cp %SOURCE1 %buildroot%_menudir

%__mkdir_p %buildroot%_iconsdir
%__tar -xjf %SOURCE2 -C %buildroot%_iconsdir

%post
%update_menus

%postun
%clean_menus

%files
%doc README CHANGELOG TODO docs/resources.txt
%_bindir/*
%_datadir/%name
%_menudir/*
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png


%changelog
* Thu Aug 05 2004 Kirill A. Shutemov <kas@altlinux.ru> 0.5-alt3
- Fix bug with radiobutton

* Mon Jul 19 2004 Kirill A. Shutemov <kas@altlinux.ru> 0.5-alt2
- Add menu
- Fix bug with fonts

* Wed Jul 14 2004 Kirill A. Shutemov <kas@altlinux.ru> 0.5-alt1
- First build for ALT project.
